WorldFirst DocsWorldFirst Docs

Update cardSignature required

POST /amsin/api/v2/business/worldcard/updateCard

Partners can call this API to update World Card information.

Structure

A message consists of a header and body. For details, see the following sections.

Request header

Field

Required

Sample

Description

Client-Id

Yes

Client-Id: *****

Signature

Yes

Signature: algorithm=RSA256, keyVersion=2, signature=*****

Content-Type

Yes

Content-Type: application/json; charset=UTF-8

Request-Time

Yes

Request-Time: 2019-04-04T12:08:56+08:00

Connected-AccountId

Conditional

Connected-AccountId: *****

Attention

Required when a partner manages a customer's account.

Access-Token

Conditional

Access-Token: ******

Attention

Required for OAUTH authorization. Refer to applyToken.

Request parameters

requestId String  REQUIRED

The unique ID assigned by the partner to identify the request.

More information:

  • This field is an API idempotency field. For details about API idempotency, see the Idempotency chapter.
  • Maximum length: 32 characters

assetId String  REQUIRED

The unique identifier of a card.

cardNickName String  

The nickname of the World Card. This parameter is useful for managing multiple cards.

More information:

  • Maximum length: 120 characters

note String  

Note regarding this card activation request.

More information:

  • Maximum length: 512 characters

authorizationControl Object  

Authorization Control Rules.

Show child parameters

metadata Object  

Business metadata.

cardHodlerId String  

The unique ID assigned by WorldFirst to identify a business contact.

If unspecified, the value of this parameter defaults to the current user ID.

email String  

Email address of the cardholder.

This info will be used for 3DS authentication.

More information:

  • Maximum length: 32 characters

mobileNumber String  

Mobile number of the cardholder.

For example: ​+6512345678​ (where ​+65​ is the Singapore country code).

This info will be used for 3DS authentication.

More information:

  • Maximum length: 32 characters

billAddress Object  

The billing address.

This field is returned only when the value of result.resultStatus is ​S​.

Show child parameters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

requestId String  REQUIRED

The unique ID assigned by the partner to identify the customer request.

This field is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 32 characters

assetId String  REQUIRED

The unique identifier of a card.

accountId String  REQUIRED

The unique ID assigned by WorldFirst to identify a customer account.

More information:

  • Maximum length: 64 characters

status String  REQUIRED

The status of the application to open a World Card.

Valid values are:

  • PROCESSING: indicates the application is being processed.
  • SUCCESS: indicates the application is successful.
  • FAIL: indicates the application has failed.

This field is returned only when the value of result.resultStatus is S.

API Explorer

Request

URL
Request Body

Response

Response Body

Result processing logic

After calling the API, a response is returned. Possible values for result.resultStatus are:

Result status

Description

S

Indicates that the API call succeeded.

F

Indicates that the API call failed. For additional information on the failure, refer to result.resultCode.

U

Indicates that the API call result is unknown. If this status is returned, the Partner may make a query. The querying strategy is as follows:

  • Maximum 7 queries are allowed. 
  • Intervals between queries: 5 min, 10 min, 20 min, 40 min, 80 min, 160 min, and 320 min.

If no queries succeed, contact our Technical Support Team.


System-related Result Codes

CodeValueMessageFurther action
SUCCESSSSuccess
PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Refer to the API documentation page to confirm whether the request header and parameters are correct.

SYSTEM_ERRORFSystem error.

Do not retry. Contact WorldFirst Technical Support for more information.

SERVICE_NOT_ALLOWEDFService not allowed.

Retry with correct information. If the issue persists, contact WorldFirst Technical Support.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

Server error. If retrying later does not resolve the issue, contact WorldFirst Technical Support.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Retry. If the issue persists, contact WorldFirst Technical Support.

OAUTH_FAILFOAuth process failed.

Contact WorldFirst Technical Support for more information.

INVALID_APIFThe called API is invalid or not active.

Confirm whether the correct API is called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Confirm that the request is correctly signed.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Confirm that the HTTP request method is POST.

CONTRACT_CHECK_FAILFThe contract check has failed.

Contact WorldFirst Technical Support to check the contract status and retry.

Business-related Result Codes

CodeValueMessageFurther action
REPEAT_REQUESTUrepeat request

Replace requestId and initiate retry

CONTRACT_NOT_EXISTFThe contract check has failed.

Ensure the Partner has already signed a contract and the input is correct.

ACCESS_TOKEN_EXPIREDFThe access token expired.

Refresh the token to get a new access token or contact our Technical Support Team to address it.

AUTHORIZATION_NOT_EXISTFThe authorization does not exist.

Make sure that the input is correct. If the issue persists, contact our Technical Support Team to verify the authorization status.